from perxis.collections import collections_pb2


def make_collection_instances(schemes_dir: str, schemes_mapping: dict[str, str]) -> list[collections_pb2.Collection]:
    collections = []

    for collection_id, collection_name in schemes_mapping.items():
        with open(f"{schemes_dir}/{collection_id}.json", "r") as file:
            collection_schema = file.read()

        collection = collections_pb2.Collection(
            id=collection_id,
            name=collection_name,
            schema=collection_schema
        )

        collections.append(collection)

    return collections